#define NOFOOTER
#include "testlib.h"

int main( int argc, char *argv[] )
{
  setName("Standard checker: compare sequences of ints");
  registerTestlibCmd(argc, argv);
  int line = 0;
  while (!ans.seekEof() && !ouf.seekEof())
  {
    line++;
    int ja = ans.readInt();
    int pa = ouf.readInt();
    if (ja != pa)
      quitf(_wa, "Number %d: %d expected, %d found",
        line, ja, pa);
  }
  if (!ans.seekEof())
    quitf(_wa, "End of file unexpected");
  if (!ouf.seekEof())
    quitf(_wa, "End of file expected");
  quitf(_ok, "%d numbers", line);
  return 0;
}
